{erl_opts, [debug_info]}.

{project_app_dirs, ["apps/*"]}.

{deps, [
    {poolboy, ".*", {git, "https://github.com/devinus/poolboy.git", {tag, "1.5.1"}}},
    {hackney, ".*", {git, "https://github.com/benoitc/hackney.git", {tag, "1.25.0"}}},
    {sync, ".*", {git, "https://github.com/rustyio/sync.git", {branch, "master"}}},
    {cowboy, ".*", {git, "https://github.com/ninenines/cowboy.git", {tag, "2.14.0"}}},
    {ranch, ".*", {git, "https://github.com/ninenines/ranch.git", {tag, "2.2.0"}}},
    {brod, ".*", {git, "https://github.com/kafka4beam/brod.git", {tag, "4.4.5"}}},
    {eredis, ".*", {git, "https://github.com/wooga/eredis.git", {tag, "v1.2.0"}}},
    {emqtt, ".*", {git, "https://gitea.s5s8.com/anlicheng/emqtt.git", {tag, "v1.2"}}},
    {gproc, ".*", {git, "https://github.com/uwiger/gproc.git", {tag, "0.9.1"}}}
]}.

{relx, [{release, {iot, "0.1.0"},
         [iot,
          endpoint,
          sasl]},

        {include_erts, true},
        {mode, prod},
        %{mode, prod},

        {sys_config_src, "./config/sys.config.src"},
        {vm_args_src, "./config/vm.args.src"}
]}.

{profiles, [{prod, [{relx,
                     [%% prod is the default mode when prod
                      %% profile is used, so does not have
                      %% to be explicitly included like this
                      {mode, prod}

                      %% use minimal mode to exclude ERTS
                      %% {mode, minimal}
                     ]
            }]}]}.

{rebar_packages_cdn, "https://hexpm.upyun.com"}.
